Loading...
Searching...
No Matches
uhd::experts::data_accessor_base< data_t > Class Template Reference

`#include <uhd/experts/expert_nodes.hpp>`

Inheritance diagram for uhd::experts::data_accessor_base< data_t >:
[legend]
Collaboration diagram for uhd::experts::data_accessor_base< data_t >:
[legend]

## Public Member Functions

| ~data_accessor_base () override
bool | is_reader () const override
bool | is_writer () const override
bool | is_dirty () const
node_class_t | get_class () const
node_author_t | get_author () const
Public Member Functions inherited from uhd::experts::data_accessor_t
virtual | ~data_accessor_t ()

## Protected Member Functions

| data_accessor_base (const node_retriever_t &r, const std::string &n, const node_access_t a)
Protected Member Functions inherited from uhd::experts::data_accessor_t
| data_accessor_t (const node_retriever_t &r, const std::string &n)

## Protected Attributes

data_node_t< data_t > * | _datanode
const node_access_t | _access
Protected Attributes inherited from uhd::experts::data_accessor_t
dag_vertex_t & | _vertex

## Constructor & Destructor Documentation

## ~data_accessor_base()

template<typename data_t>

uhd::experts::data_accessor_base< data_t >::~data_accessor_base | ( |  | ) |

inline override

## data_accessor_base()

template<typename data_t>

uhd::experts::data_accessor_base< data_t >::data_accessor_base | ( | const node_retriever_t & | r,
|  | const std::string & | n,
|  | const node_access_t | a )

inline protected

## Member Function Documentation

## get_author()

template<typename data_t>

node_author_t uhd::experts::data_accessor_base< data_t >::get_author | ( |  | ) | const

inline

## get_class()

template<typename data_t>

node_class_t uhd::experts::data_accessor_base< data_t >::get_class | ( |  | ) | const

inline

## is_dirty()

template<typename data_t>

bool uhd::experts::data_accessor_base< data_t >::is_dirty | ( |  | ) | const

inline

## is_reader()

template<typename data_t>

bool uhd::experts::data_accessor_base< data_t >::is_reader | ( |  | ) | const

inline override virtual

Implements uhd::experts::data_accessor_t.

## is_writer()

template<typename data_t>

bool uhd::experts::data_accessor_base< data_t >::is_writer | ( |  | ) | const

inline override virtual

Implements uhd::experts::data_accessor_t.

## Member Data Documentation

## _access

template<typename data_t>

const node_access_t uhd::experts::data_accessor_base< data_t >::_access

protected

## _datanode

template<typename data_t>

data_node_t<data_t>* uhd::experts::data_accessor_base< data_t >::_datanode

protected

The documentation for this class was generated from the following file:

- expert_nodes.hpp